
TYPO3.Flow - Feature # 59672

Task # 55953 (New): Repair and streamline ValueObject support

Status: Under Review Priority: Should have
Author: Alexander Berl Category: Persistence
Created: 2014-06-19 Assigned To: Alexander Berl
Updated: 2015-04-08 Due date:
PHP Version:
Has patch: No
Complexity: medium
Subject: Add support for Doctrine 2.5 embeddables
Description

Doctrine 2.5 will finally support ValueObjects in the form of @Embedded/@Embeddable:
https://github.com/doctrine/doctrine2/pull/835
https://github.com/schmittjoh/doctrine2/commit/9ad376c0064fae0c8ae6f6c3e15406936323727c

Flow should add support for this feature and extend ValueObjects to be embedded through an annotation setting.

History
#1 - 2014-06-23 10:48 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/31064

#2 - 2014-06-23 11:08 - Adrian Föder
- Parent task set to #55953

#3 - 2015-04-08 17:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/31064
